HomeGuidesAPI ReferenceChangelogPOS PaymentsOnline Payments
Home
API Reference

Create Riverty payment

Create a Riverty transaction. After receiving a HTTP status 201 you have to redirect the consumer to the url given in action.redirect.url. The id field in the response can be used in future calls as transactionId to reference this transaction (for instance in a capture, cancellation or refund).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Create Riverty Transaction

returnUrls
object
required

URLs where the Consumer is redirected to after completing the transaction at its issuing bank or at the chosen payment method.

With this object we can redirect consumer to a dedicated page per payment result status. Either this object or the returnUrl field is mandatory.

string
required
length between 1 and 255

The clients identifier. This value will be sent in the webhook payload alongside the ID you receive as part of the response of a transaction.

integer
required
1 to 99999999

Total gross amount of order in the smallest currency subunit, as for example euro cents (including taxes and fees).

This is the amount that will be charged to the consumer.

The validation will fail if: amount ≠ Σ(unitPrice × quantity)

string
length between 3 and 3
Defaults to EUR

ISO 4217 currency code.

string
enum
length between 2 and 2

The language code used for client communication. If not provided, Riverty will default to the language configured for the client.

string
required
length ≤ 50

Order number. Unique order number provided by the merchant. A valid order number can include alphanumeric characters, dashes and underscores.

string
enum
required

The type of the Riverty payment method.

Allowed:
integer
required
1 to 99999999

Total net amount of order in the smallest currency subunit, as for example euro cents (excluding taxes and fees).

The validation will fail if: netAmount ≠ Σ(netUnitPrice × quantity)

url

Image URL for the merchants brand. This image is shown at the top of the order page in Riverty. Supported image formats are: gif, jpeg (jpg), png, webp.

string
length ≤ 4096

Additional information about the merchant Format: Base64 encoded JSON

consumer
object
required

The person initiating the checkout, typically the buyer who places the order.

items
array of objects
required
length between 1 and 500

Array of order items. Maximum allowed 500 items.

items*

Item object that can be used to provide details of the items in the order.
This is only used by payment methods that support it, like Klarna and Riverty.

string
required
length between 1 and 50

Merchant Product identification. Each item code must be unique per transaction.

string
required
length ≤ 255

A human readable description of the item.

integer
required
1 to 99999999

Unit price (including VAT) of the item, specified in the smallest currency subunit, as for example euro cents.

integer
required
1 to 1000000000

The number of items of this type.

integer
required
1 to 99999999

Total VAT amount of the orderline, specified in the smallest currency subunit as for example euro cents.

number
required
0 to 99.9

Percentage of VAT applied.
Only the first decimal value will be taken into account, the rest will be ignored.

integer
required
1 to 99999999

Price per unit in cents (excluding vat)

url

URL for the product image, will be used as a thumbnail in Riverty on the invoice line. Must be rectangular or square with a width between 100-1280 pixels. Supported formats, gif, jpeg(jpg), png, webp

url

URL to the product page

webhooks
object

A single webhook object consists out of an URL to which we need to send the occurred event together with the event that needs to trigger the webhook call.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json